//
//  Image+Helpers.swift
//  Browse
//
//  Created by Javier Cicchelli on 03/12/2022.
//  Copyright © 2022 Röck+Cöde. All rights reserved.
//

import SwiftUI

extension Image {

    /// Resizes an image to a given size.
    /// - Parameter size: A size to which an image will be resized.
    /// - Returns: An resized image rendered as an erasured view.
    func icon(size: CGFloat) -> some View {
        self
            .resizable()
            .renderingMode(.template)
            .scaledToFit()
            .frame(width: size, height: size)
    }

}
